Subject: Expandable garden Hose... Reaches 50-feet And Weighs About One Pound

From: "Flex-AbleHose Promo" <[email-masked]>
Date: Sun, 13 Sep 2015 10:03:20 -0700

Expandable garden Hose... Reaches 50-feet And Weighs About One Pound